#pragma once

// Light Dependant Resistor
class LDR
{
  public:
    void Init(int modePin, int readPin);
    int ReadImmediate();
    int ReadAverage();

  private:
    static const long int kNumReadings = 10;
    int m_pin = 0;
    int m_index = 0;
    int m_readings[kNumReadings];
};

extern LDR ldr;
